Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`base`.`PluggableResolverMixin``

class documentation

`class PluggableResolverMixin: (source)`

Known subclasses: `twisted.internet.base.ReactorBase`

Implements interfaces: `twisted.internet.interfaces.IReactorPluggableNameResolver`, `twisted.internet.interfaces.IReactorPluggableResolver`

View In Hierarchy

A mixin which implements the pluggable resolver reactor interfaces.

Method | `installNameResolver` | See `IReactorPluggableNameResolver`.
Method | `installResolver` | See `IReactorPluggableResolver`.
Instance Variable | `resolver` | The installed `IResolverSimple`.
Property | `nameResolver` | Implementation of read-only `IReactorPluggableNameResolver.nameResolver`.
Instance Variable | `_nameResolver` | The installed `IHostnameResolver`.

def installNameResolver(self, resolver: `IHostnameResolver`) -> `IHostnameResolver`: (source)
from `twisted.internet.interfaces.IReactorPluggableNameResolver`

See `IReactorPluggableNameResolver`.

Parameters
resolver:`IHostnameResolver` | See `IReactorPluggableNameResolver`.
Returns
`IHostnameResolver` | see `IReactorPluggableNameResolver`.

def installResolver(self, resolver: `IResolverSimple`) -> `IResolverSimple`: (source)
from `twisted.internet.interfaces.IReactorPluggableResolver`

See `IReactorPluggableResolver`.

Parameters
resolver:`IResolverSimple` | see `IReactorPluggableResolver`.
Returns
`IResolverSimple` | see `IReactorPluggableResolver`.

resolver: `IResolverSimple` = (source)

The installed `IResolverSimple`.

@property
nameResolver: `IHostnameResolver` = (source)
from `twisted.internet.interfaces.IReactorPluggableNameResolver`

Implementation of read-only `IReactorPluggableNameResolver.nameResolver`.

_nameResolver: `IHostnameResolver` = (source)

The installed `IHostnameResolver`.